Bug 192686 - multilib -devel conflicts for httpd
multilib -devel conflicts for httpd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: Reopened
Depends On:
Blocks: multilibdevel
  Show dependency treegraph
 
Reported: 2006-05-22 13:59 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.2.2-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-02 10:22:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2006-05-22 13:59:48 EDT
The package contains conflicting -devel packages for multilib arches.

httpd-devel-2.2.2-3.i386.rpm
Preparing...                ##################################################
        file /etc/httpd/build from install of httpd-devel-2.2.2-3 conflicts with
 file from package httpd-devel-2.2.2-3
        file /usr/include/httpd/ap_config_layout.h from install of httpd-devel-2
.2.2-3 conflicts with file from package httpd-devel-2.2.2-3
        file /usr/sbin/apxs from install of httpd-devel-2.2.2-3 conflicts with f
ile from package httpd-devel-2.2.2-3
Comment 1 Joe Orton 2006-05-24 06:57:57 EDT
The /etc/httpd/build symlink is just impossible to fix.
Comment 2 Jeremy Katz 2006-05-24 10:40:44 EDT
Then the symlink is broken and should be dropped.

Saying WONTFIX is not an option here, file conflicts are a ship blocker.  And
shipping a multilib development environment is a requirement for FC6
Comment 4 Joe Orton 2006-06-02 10:22:07 EDT
I performed the surgery to remove the symlink, doesn't look like the fallout
will be too horrible.

Note You need to log in before you can comment on or make changes to this bug.